# Gitlab CodeCommit/ECR access

resource "aws_iam_user" "gitlab" {
  name = "gitlab"
}

resource "aws_iam_access_key" "gitlab" {
  user = aws_iam_user.gitlab.name
}

resource "aws_iam_user_policy_attachment" "gitlab_ecr-access" {
  user       = aws_iam_user.gitlab.name
  policy_arn = "arn:aws:iam::aws:policy/AmazonEC2ContainerRegistryPowerUser"
}

# Gitlab Docker Machine runner

resource "aws_iam_user" "gitlab-runner" {
  name = "gitlab-runner"
}

resource "aws_iam_access_key" "gitlab-runner" {
  user = aws_iam_user.gitlab-runner.name
}

resource "aws_iam_user_policy_attachment" "gitlab-runner_ec2-access" {
  user       = aws_iam_user.gitlab-runner.name
  policy_arn = "arn:aws:iam::aws:policy/AmazonEC2FullAccess"
}

resource "aws_iam_user_policy_attachment" "gitlab-runner_s3-access" {
  user       = aws_iam_user.gitlab-runner.name
  policy_arn = "arn:aws:iam::aws:policy/AmazonS3FullAccess"
}
