data "aws_route53_zone" "domain_zone" {
  name = var.domain
}

resource "aws_route53_record" "x_d_domain" {
  zone_id = data.aws_route53_zone.domain_zone.zone_id
  type    = "CNAME"
  name    = "*.d"
  ttl     = 300
  records = [var.docker_hostname]
}

resource "aws_route53_record" "x_x_d_domain" {
  zone_id = data.aws_route53_zone.domain_zone.zone_id
  type    = "CNAME"
  name    = "*.*.d"
  ttl     = 300
  records = [var.docker_hostname]
}
