resource "null_resource" "workers_init" {
  for_each = var.jz_swarm_project.ips.workers

  triggers = {
    instance_ids = join(",", var.jz_swarm_project.instance_ids.workers)
  }

  connection {
    type        = "ssh"
    host        = each.value
    user        = "ec2-user"
    private_key = file(var.jz_swarm_generic.ssh_key_pair.private_key_path)
  }

  # Join Swarm on create
  provisioner "remote-exec" {
    inline = [
      "aws configure set default.region ${data.aws_region.current.name}",
      "init-swarm.sh ${var.name}-${var.env} worker_join",
      "init-efs.sh ${var.jz_swarm_project.efs.reg.id} ${var.jz_swarm_project.efs.maxio.id}",
    ]
  }

  # Leave Swarm on destroy
  #provisioner "remote-exec" {
  #  when = "destroy"
  #
  #  inline = [
  #    "docker swarm leave",
  #  ]
  #}

  depends_on = [
    null_resource.leader_init
  ]
}